iman

ایا مهاجرت از Bootstrap 3 به Bootstrap 4 عاقلانه هست ؟ باتوجه به browsers support

iman ۱۳۹۷/۰۱/۰۵ مباحث عمومی برنامه‌نویسی

سلام میخواستم بدونم با توجه به اینکه bootstrap 4 از IE 8 and IE 9 پیشتیبانی نمیکنه و کلا از مرورگر های جدید پشتیبانی میکنه میخواستم بدونم : ایا عاقلانه هست شروع به استفاده از bootstrap 4 بکنم به جای version 3 ؟ (یادمون نره ما در ایران زندگی میکنیم و خیلی ها update نیستند)
پاسخ‌ها به این تاپیک
Insight
Insight
۱۳۹۷/۰۱/۲۵
مرورگر Internet Explorer یه مرورگر مرده‌ست. وقتی یه ابزار نمیتونه همزمان با رقباش پیشرفت کنه، محکوم به شکسته. شخصا با این اقدام بوت‌استرپ موافقم. چند ساله طراحان وب به دلیل مشکلات مرورگر مایکروسافت، زحمت‌های زیاد و اضافه‌ای میکشن و اصطلاحا کد IE-Specific مینویسن! این موانع کم کم باید از بین برن و به سمت استانداردسازی بریم. تصمیم عاقلانه اینه که شما از Bootstrap4 استفاده کنید اما در جاهای موردنیاز، fallback هایی رو هم در نظر بگیرید.
محمد صادق داراب پور
محمد صادق داراب پور
۱۳۹۷/۰۱/۱۶
سلام دوست عزیز اینکه دیگه بوت استرپ 4 از مرورگر های قدیمی پشتیبانی نمیکنه مشکل شما نیست مشکل شخصی هست که هنوز داره از این ها استفاده میکنه . مثل همیشه باید بگیم مهاجرت برمیگرده به نظر خودت هر کدوم از این نسخه ها مزیت های خودشونو دارند برای مثال در بوت استرپ 4 از فلکس باکس استفاده شده که خیلی خوب هستن و در ورژن 3 اینکه مرورگر های بیشتری پشتیبانی میشن ! اینم یه مطلب خوب تا ببینی چه چیزی تو بوت استرپ 4 تعغیر کرده : https://scotch.io/bar-talk/whats-new-in-bootstrap-4 موفق باشی
محمدحسین زرچی
محمدحسین زرچیبرنامه نویس java و php
۱۳۹۷/۰۱/۰۵
سلام ؛ یکی از نگرانی های همه همین مورد است بعلاوه که خیلی از کامپونت های 3 دیگه در 4 پشتیبانی نمیشه ولی در عوض از Flex پشتیبانی میکنه که خودش خیلی کاره بزرگیه چون همیشه کانتینرها ( کانتینر : به معنی فضاهای css که قابلیت دارا بودن چند ابجکت رو دارند که به عنوان مثال میشه div رو نام برد) نقطه ضعف های css بودند و همزمان با رفع این نقطه ضعف الان نسخه 4 هم داره پشتیبانی میکنه از Flex ؛ شاید برای شما و کساییکه میخوان از 3 به 4 مهاجرت کنند یکم کاره سختی باشه ولی به نظره من ارزششو داره چون میگن این نسخه از Bootstrap تا حدودی پایدارتره از بقیه نسخه ها.
پویا نظری
پویا نظریدانشجوی نرم‌افزار
۱۳۹۷/۰۱/۰۵
سلام اینطور نیست که هیچوقت سمت نسخه 4 نری باید بری چون دیر یا زود سایتا خودشونو اپدیت میکنن و مروگر هاهم همینطور یه رقابت پیش میاد مگه میشه وقتی php7 میاد ازش استفاده نکنی البته این مقایسه منم درست نیست به نظر من برو اپدیت باش از جدید ترین تکنولوژی ها استفاده کن بحثم در مورد یه فریم ورک یا یه لایبرری خاص نیست هر چی بیشتر یاد بگیری و آپدیت باشی به نفعته و دنیا به این سمته،ببخشید شاید زیاد از نظر فنی نگفتم بیشتر نظرم در مورد استفاده از تکولوژی های جدیده . موفق باشید.